pyqt5-tools lassen sich nicht via pip installieren

Python und das Qt-Toolkit, erstellen von GUIs mittels des Qt-Designers.
Antworten
Karsten Böhme
User
Beiträge: 41
Registriert: Sonntag 23. Dezember 2012, 07:54

Sonntag 15. Juli 2018, 07:58

Hallo miteinander,

habe ein Problem mit der Installation von pyqt5-tools Vers. 5.5.1.1 Habe die Installation sowohl mit PyCharm als auch mit Visual Studio (Win10) versucht. Bekomme immer folgenden Fehler angezeigt :

Could not find a version that satisfies the requirement pyqt5-tools (from versions: )
No matching distribution found for pyqt5-tools

Die Pythonversion ist 3.7 (hat allerdings bei 3.6 auch nicht funktioniert)
PyQt5 ist mit Version 5.11.2 installiert (ebenfalls über pip)

Die Installation mit einer früheren Version von sowohl PyQt5 als auch pyqt5-tools hat problemlos funktioniert.

Was mache ich falsch, bzw., wo kann ich erkennen was wozu past.

Vielen Dank für Eure Tips

VG
Karsten
Karsten Böhme
User
Beiträge: 41
Registriert: Sonntag 23. Dezember 2012, 07:54

Freitag 27. Juli 2018, 10:19

Hallo,

habe jetzt unter Python 3.6 die pyqt5-tools installiert, dann das gesamte Verzeichnis (inkl. Unterverzeichnisse) mit dem Designer kopiert und einfach in meinem Hauptordner für Pythonentwicklung eingefügt. Ist zwar keine saubere Lösung, kann aber unter Python 3.7 genauso angewandt werden.

Grüße
Antworten